# $Revision: 1.6 $, $Date: 2011/07/18 08:12:39 $
Summary:	Lexer generator for Unicode and OCaml
Summary(pl.UTF-8):	Lexer dla OCamla i Unicode
Name:		ocaml-ulex
Version:	1.1
Release:	1
License:	MIT
Group:		Development/Tools
Source0:	http://www.cduce.org/download/ulex-%{version}.tar.gz
# Source0-md5:	ce49a013bc4a0e085977a9fe157017bf
BuildRequires:	ocaml >= 3.09.0
BuildRequires:	ocaml-findlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ulex is a lexer generator for Unicode and OCaml.

%description -l pl.UTF-8
ulex jest lexerem dla OCamla i Unicode.

%prep
%setup -q -n ulex-%{version}

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ulex

%{__make} install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

echo 'directory = "+ulex"' \
	>> $RPM_BUILD_ROOT%{_libdir}/ocaml/ulex/META
mv -f $RPM_BUILD_ROOT%{_libdir}/ocaml/ulex/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ulex/META

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{_libdir}/ocaml/ulex
%{_libdir}/ocaml/ulex/*.cm*
%{_libdir}/ocaml/site-lib/ulex

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-ulex.spec,v $
Revision 1.6  2011/07/18 08:12:39  baggins
- 1.1

Revision 1.5  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.3  2005/12/15 19:55:41  qboosh
- cosmetics

Revision 1.2  2005/12/11 16:27:41  baggins
- release 2
- packaged properly

Revision 1.1  2005/12/11 16:23:49  baggins
- initial revision
